%define name	tutos
%define version 1.2.20050306
%define release 2mdk

Summary:	The Ultimate Team Organisation Software
Name:		%name
Version:	%version
Release:	%release
License:	GPL
Group:		System/Servers
Source0:	%{name}-php-%{version}.tar.bz2
Source1:	%{name}-config.pinc.bz2
Source2:	%{name}-config.apache.bz2
Source3:	%{name}-README.mdk.bz2
URL:		http://www.tutos.org/
Requires:	webserver php php-mysql mod_php php-imap
Requires:	rcs wv jpgraph transfig
BuildArch:	noarch
BuildRequires:	dos2unix
BuildRoot:	%{_tmppath}/%{name}-buildroot

%define		tutosdir /var/www/html/tutos

%description
TUTOS is a webbased groupware or ERP/CRM suite that provides the users
with:
- personal and group calendars
- addressbook
- projectmanagement
- filemanagement
- taskmanagement
- bugtracking
- notes
- installation management
- mail interface

%prep
%setup -n %{name}

# strip away annoying ^M; leaving the pictures out of picture..
find -type  f -and ! -iwholename *.png -and ! -iwholename *.gif  -exec dos2unix -U {} \;

%install
perl -p -i -e 's!/usr/share/tutos!%{tutosdir}!g' apache.conf

rm -rf $RPM_BUILD_ROOT
find . -type d -exec chmod 755 {} \;
find . -type f -exec chmod 644 {} \;

mkdir -p $RPM_BUILD_ROOT/%tutosdir
install -m 755 *.sh $RPM_BUILD_ROOT/%tutosdir/
cp -ar homepage/ php/ html/ $RPM_BUILD_ROOT/%tutosdir/

rm -f $RPM_BUILD_ROOT/%tutosdir/*.spec
rm -f $RPM_BUILD_ROOT/%tutosdir/*.in

bzcat %SOURCE1 > $RPM_BUILD_ROOT/%tutosdir/php/config.pinc
bzcat %SOURCE3 > README.mdk

# removing, concatenating both apache config files and packing the product at the right place
# (generated from all .htaccess files by genconfig)
bzcat %SOURCE2 >> apache.conf
mkdir -p %buildroot%_sysconfdir/httpd/conf/webapps.d
cp -a apache.conf %buildroot%_sysconfdir/httpd/conf/webapps.d/%name.conf

# lazy, I want to mark one file as config... well create a file list:
find %buildroot%tutosdir/php -type d | sed 's|^%{buildroot}|%%dir |' >  %name.filelist
find %buildroot%tutosdir/php -type f | sed 's|^%{buildroot}||' >> %name.filelist

# This file is config: tag it
perl -pi -e 's!(.*php/config.pinc)$!%%config(noreplace) $1!' %name.filelist

# Mandatory for the repository to work (dependent to current config.pinc file)
mkdir -p %buildroot%tutosdir/repository

%clean
rm -rf $RPM_BUILD_ROOT

%post
#%_post_webapp
if [ -f /var/lock/subsys/httpd ]; then
	/etc/rc.d/init.d/httpd restart 1>&2
else
	echo "Run \"service httpd start\" to start apache http daemon."
fi

%postun
#%_postun_webapp
if [ -f /var/lock/subsys/httpd ]; then
	/etc/rc.d/init.d/httpd restart 1>&2
fi

%files -f %name.filelist
%defattr(-,root,root)
%dir %{tutosdir}
%{tutosdir}/homepage
%{tutosdir}/html
%{tutosdir}/createdb.sh
%{tutosdir}/scheme.sh
%{tutosdir}/shellfunc.sh
%config(noreplace) %_sysconfdir/httpd/conf/webapps.d/%name.conf
%doc README INSTALL README.ldap README.nuke apache.conf ToDo ChangeLog *.lsm README.mdk
%attr(-,apache,apache) %{tutosdir}/repository

%changelog
* Sun Jul 24 2005 Marc Lijour <mlijour@mandriva.com> 1.2.20050306-2mdk
- make php-imap a dependency
- move all instructions to README.mdk following the policy
- test webapp macros and filter pictures from processing

* Fri Jul 22 2005 Marc Lijour <mlijour@mandriva.com> 1.2.20050306-1mdk
- new version
- repackaging apache config files in their proper place (see policy)
- making apache restarting ~after~ the uninstall
- minor bug fixing in tutos files

* Wed May 11 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.20040906-4mdk
- fix deps
- strip away annoying ^M

* Thu Dec 16 2004 Spencer Anderson <sdander@oberon.ark.com> 1.2.20040906-3mdk
- drop requires for mysqlserver

* Sun Dec 12 2004 Spencer Anderson <sdander@oberon.ark.com> 1.2.20040906-2mdk
- rebuild

* Sat Nov 6 2004 Spencer Anderson <sdander@oberon.ark.com> 1.2.20040906-1mdk
- new version
- more documentation

* Tue May 25 2004 Spencer Anderson <sdander@oberon.ark.com> 1.1.20040414-1mdk
- new version

* Mon Mar 01 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.1.20031017-3mdk
- DIRM again

* Sat Feb 28 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.1.20031017-2mdk
- Own dir
- cleanup
- using httpd/conf.d instead changing apache conf

* Sat Jan 24 2004 Spencer Anderson <sdander@oberon.ark.com> 1.1.20031017-1mdk
- new version

* Fri Feb 7 2003 Austin Acton <aacton@yorku.ca> 1.0.20030205-1mdk
- initial package
